<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">

    <!-- parameters: -->
    <ui:param name="reporter" value="#{validationResultBeanGui.reporter}"/>
    <ui:param name="servicename" value="#{validationResultBeanGui.selectedObject.validationService.name}"/>
    <div target-name="result-panel">
    <rich:tabPanel withBorder="true" switchType="ajax">
        <rich:tab id="formated#{reporter.id}ResultTab" name="formated#{reporter.id}ResultTab"
                  header="#{reporter.getLabel('Styled Result',servicename)}"
                  rendered="#{validationResultBeanGui.showStyledReport()}">

                <ui:decorate template="/common/_detailedResult.xhtml">
                    <ui:param name="prettyView" value="#{prettyView}"/>
                    <ui:param name="reporter" value="#{reporter}"/>
                </ui:decorate>
        </rich:tab>
        <rich:tab id="formatted#{reporter.id}ReportTab" name="formatted#{reporter.id}ReportTab"
                  header="#{reporter.getLabel('Validation Report',servicename)}">
                <ui:decorate template="/common/_subReports.xhtml">
                    <ui:param name="prettyView" value="#{prettyView}"/>
                    <ui:param name="reporter" value="#{reporter}"/>
                </ui:decorate>

        </rich:tab>
        <rich:tab id="additionalMetadata#{reporter.id}Tab" name="additional#{reporter.id}MetadataTab"
                  header="#{reporter.getLabel('Additional Metadata',servicename)}"
                  rendered="#{not empty reporter.validationReport.validationOverview.additionalMetadata}">
            <ui:repeat var="metadata" value="#{reporter.validationReport.validationOverview.additionalMetadata}">
                <dl class="dl-horizontal">
                    <dt>
                        <h:outputText value="#{reporter.getLabel(metadata.name)}"/>
                    </dt>
                    <dd>
                        <s:div rendered="#{metadata.value.startsWith('{')}">
                            <s:div styleClass="document-viewer JsonTreeRenderer">
                                <rich:tree value="#{reporter.renderJsonTree(metadata.value)}"
                                           var="node"
                                           style="overflow: auto;background-color:white;"
                                           toggleType="client">
                                    <rich:treeNode expanded="#{true}" icon="#{reporter.renderJsonTreeNode(node)}">
                                        <h:outputText escape="false" value="#{reporter.renderJsonTreeNode(node)}"/>
                                    </rich:treeNode>
                                </rich:tree>
                            </s:div>
                        </s:div>
                        <s:div rendered="#{not metadata.value.startsWith('{')}">
                            <s:div styleClass="Metadata#{reporter.getCode(metadata.name)}">
                                <h:outputText escape="false" value="#{metadata.value}"/>
                            </s:div>
                        </s:div>
                    </dd>
                </dl>
            </ui:repeat>
        </rich:tab>
        <rich:tab id="validation#{reporter.id}ReportTab" name="validation#{reporter.id}ReportTab"
                  header="#{reporter.getLabel('Xml Validation Report')}"
                  rendered="#{validationResultBeanGui.showXmlReport() and reporter.validationReport != null}">
            <s:div styleClass="document-short-viewer" id="validation#{reporter.id}Report">
                <s:div styleClass="col-md-9">
                    <h:outputText value="#{reporter.renderXMLReport(reporter.validationReport.toDomain())}"
                                  escape="false"/>
                </s:div>
            </s:div>
        </rich:tab>
    </rich:tabPanel>
    </div>
</ui:composition>